com.threerings.puzzle.drop.data

## Class SegmentInfo

- java.lang.Object
- - com.threerings.puzzle.drop.data.SegmentInfo

    public class SegmentInfo
    extends Object

Describes a segment of pieces in a `DropBoard`.

### Field Summary

Fields
`int` `dir` The segment's direction; one of `DirectionCodes.HORIZONTAL` or `DirectionCodes.VERTICAL`.
`int` `len` The segment's length in pieces.
`int` `x` The segment's lower-left board coordinates.
`int` `y` The segment's lower-left board coordinates.

### Constructor Summary

Constructors
Constructor and Description
`SegmentInfo(int dir, int x, int y, int len)` Constructs a segment info object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dir

    public int dir

The segment's direction; one of `DirectionCodes.HORIZONTAL` or `DirectionCodes.VERTICAL`.

#### x

    public int x

The segment's lower-left board coordinates.

#### y

    public int y

The segment's lower-left board coordinates.

#### len

    public int len

The segment's length in pieces.

### Constructor Detail

#### SegmentInfo

    public SegmentInfo(int dir,
                       int x,
                       int y,
                       int len)

Constructs a segment info object.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`